      subroutine splist (icomp)                                         SPLI001
c ----------------------------------------------------------------      SPLI002
c     lists all allowed Hermann Mauguin Symbols as suggested by         SPLI003
c     the International Union of Crystallography                        SPLI004
c ----------------------------------------------------------------------SPLI005
c     This program module is part of the PhysiSoft X-ray Library        SPLI006
c     and may not be sold or reproduced for commercial purposes.        SPLI007
c     Although it has been tested carefully, there is no warranty       SPLI008
c     regarding accuracy or freedom from side-effects.                  SPLI009
c                   (C) 1986-1990 Bernhard Rupp                         SPLI010
c ----------------------------------------------------------------------SPLI011
                                                                        SPLI012
      character answ, icomp*4                                           SPLI013
      call clrscr (icomp)                                               SPLI014
      print*,' --------------------------------------------------------'SPLI015
      print*,'        List of Hermann Mauguin Space Group Symbols'      SPLI016
      print*,'           Settings with origin at center used'           SPLI017
      Print*,' --------------------------------------------------------'SPLI018
      print*,' '                                                        SPLI019
      print*,' TRICLINIC'                                               SPLI020
      print*,' Use P 1 for general setup (each equipoint explicitly)'   SPLI021
      print*,' P 1          P -1'                                       SPLI022
      print*,' '                                                        SPLI023
      print*,' MONOCLINIC'                                              SPLI024
      print*,' Use setting with B as unique axis (alpha, gamma =90 deg)'SPLI025
      print*,' P 2         P 21        C 2         P M         P C'     SPLI026
      print*,' C M         C C         P 2/M       P 21/M      C 2/M'   SPLI027
      print*,' P 2/C       P 21/C      C 2/C'                           SPLI028
      print*,' '                                                        SPLI029
      print*,' Hit <cr> when finished viewing, <PrtScr> for Hardcopy '  SPLI030
      call inkey (answ)                                                 SPLI031
      call clrscr (icomp)                                               SPLI032
      print*,' '                                                        SPLI033
      print*,' ORTHORHOMBIC'                                            SPLI034
      print*,' P 2 2 2     P 2 2 21    P 21 21 2   P 21 21 21  C 2 2 21'SPLI035
      print*,' C 2 2 2     F 2 2 2     I 2 2 2     I 21 21 21  P M M 2' SPLI036
      print*,' P M C 21    P C C 2     P M A 2     P C A 21    P N C 2' SPLI037
      print*,' P M N 21    P B A 2     P N A 21    P N N 2     C M M 2' SPLI038
      print*,' C M C 21    C C C 2     A M M 2     A B M 2     A M A 2' SPLI039
      print*,' A B A 2     F M M 2     F D D 2     I M M 2     I B A 2' SPLI040
      print*,' I M A 2     P M M M     P N N N     P C C M     P B A N' SPLI041
      print*,' P M M A     P N N A     P M N A     P C C A     P B A M' SPLI042
      print*,' P C C N     P B C M     P N N M     P M M N     P B C N' SPLI043
      print*,' P B C A     P N M A     C M C M     C M C A     C M M M' SPLI044
      print*,' C C C M     C M M A     C C C A     F M M M     F D D D' SPLI045
      print*,' I M M M     I B A M     I B C A     I M M A'             SPLI046
      print*,' '                                                        SPLI047
      print*,' Hit <cr> when finished viewing'                          SPLI048
      call inkey (answ)                                                 SPLI049
      call clrscr (icomp)                                               SPLI050
      print*,' '                                                        SPLI051
      print*,' TETRAGONAL'                                              SPLI052
      print*,' P 4         P 41        P 42        P 43        I 4'     SPLI053
      print*,' I 41        P -4        I -4        P 4/M       P 42/M'  SPLI054
      print*,' P 4/N       P 42/N      I 4/M       I 41/A      P 4 2 2' SPLI055
      print*,' P 4 21 2    P 41 2 2    P 41 21 2   P 42 2 2    P 42 21 2SPLI056
     &'                                                                 SPLI057
      print*,' P 43 2 2    P 43 21 2   I 4 2 2     I 41 2 2    P 4 M M' SPLI058
      print*,' P 4 B M     P 42 C M    P 42 N M    P 4 C C     P 4 N C' SPLI059
      print*,' P 42 M C    P 42 B C    I 4 M M     I 4 C M     I 41 M D'SPLI060
      print*,' I 41 C D    P -4 2 M    P -4 2 C    P -4 21 M   P -4 21 CSPLI061
     &'                                                                 SPLI062
      print*,' I -4 M 2    P -4 C 2    P -4 B 2    P -4 N 2    P -4 M 2'SPLI063
      print*,' I -4 C 2    P -4 2 M    I -4 2 D    P 4/M M M   P 4/M C CSPLI064
     &'                                                                 SPLI065
      print*,' P 4/N B M   P 4/N N C   P 4/M B M   P 4/M N C   P 4/N M MSPLI066
     &'                                                                 SPLI067
      print*,' P 4/N C C   P 42/M M C  P 42/M C M  P 42/N B C  P 42/N N SPLI068
     &M'                                                                SPLI069
      print*,' P 42/M B C  P 42/M N M  P 42/N M C  P 42/N C M  I 4/M M MSPLI070
     &'                                                                 SPLI071
      print*,' I 4/M C M   I 41/A M D  I 41/A C D'                      SPLI072
      print*,' '                                                        SPLI073
      print*,' Hit <cr> when finished viewing'                          SPLI074
      call inkey (answ)                                                 SPLI075
      call clrscr (icomp)                                               SPLI076
      print*,' '                                                        SPLI077
      print*,' TRIGONAL'                                                SPLI078
      print*,' Use obverse hexagonal setting or P 1 for explicit equipoiSPLI079
     &nts'                                                              SPLI080
      print*,' P 3         P 31        P 32        R 3         P -3'    SPLI081
      print*,' R -3        P 3 1 2     P 3 2 1     P 31 1 2    P 31 2 1'SPLI082
      print*,' P 32 1 2    P 32 2 1    R 3 2       P 3 M 1     P 3 1 M' SPLI083
      print*,' P 3 C 1     P 3 1 C     R 3 M       R 3 C       P -3 1 M'SPLI084
      print*,' P -3 1 C    P -3 M 1    P -3 C 1    R -3 M      R -3 C'  SPLI085
      print*,' '                                                        SPLI086
      print*,' HEXAGONAL'                                               SPLI087
      print*,' P 6         P 61        P 65        P 62        P 64'    SPLI088
      print*,' P 63        P -6        P 6/M       P 63/M      P 6 2 2' SPLI089
      print*,' P 61 2 2    P 65 2 2    P 62 2 2    P 64 2 2    P 63 2 2'SPLI090
      print*,' P 6 M M     P 6 C C     P 63 C M    P 63 M C    P -6 M 2'SPLI091
      print*,' P -6 C 2    P -6 2 M    P -6 2 C    P 6/M M M   P 6/M C CSPLI092
     &'                                                                 SPLI093
      print*,' P 63/M C M  P 63/M M C'                                  SPLI094
      print*,' '                                                        SPLI095
      print*,' Hit <cr> when finished viewing'                          SPLI096
      call inkey (answ)                                                 SPLI097
      call clrscr (icomp)                                               SPLI098
      print*,' '                                                        SPLI099
      print*,' CUBIC'                                                   SPLI100
      print*,' Notice : the inversion for the triade in cubic groups'   SPLI101
      print*,' as used in the new edition of the Int.Tables, must not beSPLI102
     &'                                                                 SPLI103
      Print*,' entered as a - sign : F d 3 m is correct, not F d -3 m ' SPLI104
      print*,' P 2 3       F 2 3       I 2 3       P 21 3      I 21 3'  SPLI105
      print*,' P M 3       P N 3       F M 3       F D 3       I M 3'   SPLI106
      print*,' P A 3       I A 3       P 4 3 2     P 42 3 2    F 4 3 2' SPLI107
      print*,' F 41 3 2    I 4 3 2     P 43 3 2    P 41 3 2    I 41 3 2'SPLI108
      print*,' P -4 3 M    F -4 3 M    I -4 3 M    P -4 3 N    F -4 3 C'SPLI109
      print*,' I -4 3 D    P M 3 M     P N 3 N     P M 3 N     P N 3 M' SPLI110
      print*,' F M 3 M     F M 3 C     F D 3 M     F D 3 C     I M 3 M' SPLI111
      print*,' I A 3 D'                                                 SPLI112
      print*,' '                                                        SPLI113
      print*,' Hit <cr> when finished viewing'                          SPLI114
      call inkey (answ)                                                 SPLI115
      return                                                            SPLI116
      end                                                               SPLI117
